﻿@model IEnumerable<eCommerce.UI.ViewModels.StoresViewModel>
@{
    ViewBag.Title = "Donde comprar";
    //Layout = "~/Views/Shared/_LayoutMenu.cshtml";
}

<style>
    #map {
        width: 100%;
        height: 400px;
    }
</style>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCbBzAdPSijYpijGlDvmGJoQDYaByhHWUU"></script>

@*<div class="institutional-banner">
    <img src="~/Content/assets/images/donde comprar/banner.jpg" alt="Locales" class="img-responsive hidden-xs" />
    <img src="~/Content/assets/images/mobile/donde-comprar.jpg" alt="Locales" class="img-responsive visible-xs" />
</div>*@


<div class="container flex-column">
    <div class="row col-md-12 stores">

        <div class="m-column-reverse">
            <div class="col-md-4">
                <div class="stores__information">
                    <h3 class="title">Puntos de Venta</h3>
                </div>
                <div class="locales">
                    <ul>
                        @{ int i = 0;}
                        @foreach (var item in Model)
                        {
                            <h4>@item.Province.Name</h4>
                            foreach (var store in item.Stores)
                            {
                                <li class="store" id="@i"
                                    data-long="@store.Long"
                                    data-lat="@store.Lat"
                                    data-title="@store.Name"
                                    data-description="@store.Address"
                                    data-phone="@store.PhoneNumber"
                                    @*data-city="@store.City"*@
                                    data-province="@store.Province.Name"
                                    @*data-email="@store.Email"*@>@(store.Name + ", " + store.Address + (!string.IsNullOrEmpty(store.PhoneNumber) ? " - Tel.:" + store.PhoneNumber : string.Empty))</li>
                                i++;
                            }

                        }
                    </ul>
                </div>
            </div>
            <div class="col-md-8">
                <div id="map"></div>
            </div>
        </div>
    </div>

    <div class="clear margin-top-20">&nbsp;</div>

</div>

@section Scripts{
    <script type="text/javascript">

        //google maps
        var MapStart = new google.maps.LatLng(-34.605620, -58.412105);
        var markers;
        var map;
        var infowindow = new google.maps.InfoWindow();

        $(document).ready(function ()
        {
            $(".locales ul li").click(function ()
            {
                var elem = $(this);
                marker = markers[this.id];
                var long = $(this).data('long');
                var lat = $(this).data('lat');
                var title = $(this).data('title');
                var description = $(this).data('description');
                var province = $(this).data('province');

                markerContent = "<div class='marker-wrapper'><h4>" + "Nombre: " + title + "</h4> <p>" + "Dirección: " + description + "</p><p>" + "Provincia: " + province + "</p></div>";
                map.panTo(new google.maps.LatLng(lat, long));
                infowindow.setContent(markerContent)
                infowindow.open(map, marker);

                $('.store').removeClass('active');
                elem.addClass('active');

                if ($(window).width() <= 767) {
                    $('html, body').animate({
                        scrollTop: $('#map').offset().top - 100
                    }, 800);
                }

            });


            initialize();
        });

        $('form').submit(function () {

            event.preventDefault();
            var term = $('.search-input').val();
            if (term == "") {
                toastr.warning("Ingrese una palabra para buscar.");
            }
            else {
                location.href = "/Institucional/Busqueda?term=" + term;
            }

        });

        function initialize()
        {
            markers = new Array();
            var mapOptions = {
                zoom: 17,
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                center: MapStart,
                styles: [{ "featureType": "water", "elementType": "geometry", "stylers": [{ "color": "#e9e9e9" }, { "lightness": 17 }] }, { "featureType": "landscape", "elementType": "geometry", "stylers": [{ "color": "#f5f5f5" }, { "lightness": 20 }] }, { "featureType": "road.highway", "elementType": "geometry.fill", "stylers": [{ "color": "#ffffff" }, { "lightness": 17 }] }, { "featureType": "road.highway", "elementType": "geometry.stroke", "stylers": [{ "color": "#ffffff" }, { "lightness": 29 }, { "weight": 0.2 }] }, { "featureType": "road.arterial", "elementType": "geometry", "stylers": [{ "color": "#ffffff" }, { "lightness": 18 }] }, { "featureType": "road.local", "elementType": "geometry", "stylers": [{ "color": "#ffffff" }, { "lightness": 16 }] }, { "featureType": "poi", "elementType": "geometry", "stylers": [{ "color": "#f5f5f5" }, { "lightness": 21 }] }, { "featureType": "poi.park", "elementType": "geometry", "stylers": [{ "color": "#dedede" }, { "lightness": 21 }] }, { "elementType": "labels.text.stroke", "stylers": [{ "visibility": "on" }, { "color": "#ffffff" }, { "lightness": 16 }] }, { "elementType": "labels.text.fill", "stylers": [{ "saturation": 36 }, { "color": "#333333" }, { "lightness": 40 }] }, { "elementType": "labels.icon", "stylers": [{ "visibility": "off" }] }, { "featureType": "transit", "elementType": "geometry", "stylers": [{ "color": "#f2f2f2" }, { "lightness": 19 }] }, { "featureType": "administrative", "elementType": "geometry.fill", "stylers": [{ "color": "#fefefe" }, { "lightness": 20 }] }, { "featureType": "administrative", "elementType": "geometry.stroke", "stylers": [{ "color": "#fefefe" }, { "lightness": 17 }, { "weight": 1.2 }] }]
            };

            map = new google.maps.Map(document.getElementById("map"), mapOptions);

            $(".locales ul li.store").each(function (index) {

                var long = $(this).data('long');
                var lat = $(this).data('lat');
                var title = $(this).data('title');
                var description = $(this).data('description');
                var province = $(this).data('province');

                var marker = new google.maps.Marker({
                    position: new google.maps.LatLng(lat, long),
                    map: map,
                    animation: google.maps.Animation.DROP,
                    title: title,
                    brief: description,
                });

                google.maps.event.addListener(marker, 'click', function () {
                    markerContent = "<div class='marker-wrapper'><h4>" + "Nombre: " + title + "</h4> <p>" + "Dirección: " + description + "</p><p>" + "Provincia: " + province + "</p></div>";
                    infowindow.setContent(markerContent);
                    infowindow.open(map, marker);
                });

                markers.push(marker);
            });

            $('.locales ul li').first().click();
        };


    </script>
}
